<?php 
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2008 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Форма добаления/редактирования городов.
 * 
 * Файл: /admin/shop/action/form_edit_add_city.php
 * 
 * @author Hostmake LLC
 * @version 5.2
 */
if (isset($id))
{
	$edit_city = to_int($id);
}
else
{
	$edit_city = 0;
}

$form_params = array();
$form_params['title'] = $edit_city==0?$GLOBALS['MSG_shops']['city_add_form_title']:$GLOBALS['MSG_shops']['city_add_form_title'];
$form_params['form_attribs']['method'] = 'post';
$form_params['form_attribs']['action'] = '/admin/shop/shop.php';
$form_params['form_attribs']['name'] = 'EditAddCity';

$shop = & singleton('shop');

$admin_forms_fields = new admin_forms_fields();

$shop_country_id = to_int($_REQUEST['shop_country_id']);

$shop_location_id = to_int($_REQUEST['shop_location_id']);

$DataBase =& singleton('DataBase');

$shop = new shop();

$country_row = $shop->GetCountry($shop_country_id);

$row = $shop->GetLocation($shop_location_id);

$new_path_array[] = array(
'link' => $admin_forms_fields->GetHtmlCallDoLoadAjax('/admin/shop/shop.php', '', 54, 'load_data'),
'onclick' => $admin_forms_fields->GetOnClickCallDoLoadAjax('/admin/shop/shop.php', '', 54, 'load_data'),
'name' => $GLOBALS['MSG_shops']['header_admin__list_forms']);

$new_path_array[] = array(
'link' => $admin_forms_fields->GetHtmlCallDoLoadAjax('/admin/shop/shop.php', '', 58, 'load_data'),
'onclick' => $admin_forms_fields->GetOnClickCallDoLoadAjax('/admin/shop/shop.php', '', 58, 'load_data'),
'name' => $GLOBALS['MSG_shops']['country_add_form_link1']);

$new_path_array[] = array(
'link' => $admin_forms_fields->GetHtmlCallDoLoadAjax('/admin/shop/shop.php', "&shop_country_id=$shop_country_id", 59, 'load_data'),
'onclick' => $admin_forms_fields->GetOnClickCallDoLoadAjax('/admin/shop/shop.php', "&shop_country_id=$shop_country_id", 59, 'load_data'),
'name' => $GLOBALS['MSG_shops']['location_add_form_link']);

$new_path_array[] = array(
'link' => $admin_forms_fields->GetHtmlCallDoLoadAjax('/admin/shop/shop.php', "&shop_country_id=$shop_country_id&shop_location_id=$shop_location_id", 60, 'load_data'),
'onclick' => $admin_forms_fields->GetOnClickCallDoLoadAjax('/admin/shop/shop.php', "&shop_country_id=$shop_country_id&shop_location_id=$shop_location_id", 60, 'load_data'),
'name' => $GLOBALS['MSG_shops']['show_city_title'].' "'.$row['shop_location_name'].'"');

// Передаем в массив для констурктора хлебные крошки
$form_params['path_array'] = $new_path_array;

$admin_forms_fields->admin_forms_fields($form_params);

$DataBase = & singleton('DataBase');

// Редактировние города
if ($edit_city)
{
	$type = 1;

	$result = $shop->GetCity($edit_city);

	$shop_city_name = $result['shop_city_name'];

	$shop_city_order = $result['shop_city_order'];
}
// Добавление города
else
{
	$shop_city_order = 0;

	$shop_city_name = '';
}

// Параметры.
$tab_id = $admin_forms_fields->AddTab($GLOBALS['MSG_shops']['tab']);

// Название города
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'city_name';
$param['caption'] = $GLOBALS['MSG_shops']['city_add_form_name'];
$param['type'] = 0; // Поле ввода.
$param['value'] = $shop_city_name;
$param['format']['minlen']['value'] = 1;
$param['format']['maxlen']['value'] = 255;
$param['attributes']['class'] = 'large';

$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

// Порядок сортировки города
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'shop_city_order';
$param['caption'] = $GLOBALS['MSG_shops']['show_producers_order'];
$param['type'] = 0; // Поле ввода.
$param['value'] = $shop_city_order;
$param['format']['minlen']['value'] = 1;
$param['format']['maxlen']['value'] = 255;
$param['format']['lib']['value'] = 'integer';
$param['format']['lib']['message'] = 'Указаны недопустимые символы (разрешенный диапазон символов 0-9)';
$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

// передеам скрытое поле с идентификатором адреса если он есть
if ($edit_city)
{
	$param = array();
	$param['tab_id'] = $tab_id;
	$param['name'] = 'edit_city';
	$param['caption'] = '';
	$param['type'] = 4; // hidden.
	$param['value'] = $edit_city;
	$admin_forms_fields->AddField($param);
}

$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'shop_country_id';
$param['caption'] = '';
$param['type'] = 4; // hidden.
$param['value'] = $shop_country_id;
$admin_forms_fields->AddField($param);

$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'shop_location_id';
$param['caption'] = '';
$param['type'] = 4; // hidden.
$param['value'] = $shop_location_id;
$admin_forms_fields->AddField($param);

$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'action';
$param['caption'] = '';
$param['type'] = 4; // hidden.
$param['value'] = 'show_city';
$admin_forms_fields->AddField($param);

// Кнопка "Сохранить".
$param = array();
$param['name'] = 'save_city';
$param['caption'] = $GLOBALS['MSG_shops']['save'];
$param['attributes']['onclick'] = "return doSendForm('{$admin_forms_fields->AAction}', '{$admin_forms_fields->AAdditionalParams}', this, ".to_int($_REQUEST['admin_forms_id']).", 'load_data', " . to_int($admin_forms_fields->form_params['current_page']) . ", " . to_int($admin_forms_fields->form_params['on_page']) . " )";
$param['attributes']['type'] = 'button';
$admin_forms_fields->AddButton($param);

// Кнопка "Применить".
$param = array();
$param['name'] = 'add_city';
$param['caption'] = $GLOBALS['MSG_shops']['apply'];
$param['image'] = '/admin/images/add.gif';
$param['attributes']['onclick'] = "return doSendForm('{$admin_forms_fields->AAction}', '{$admin_forms_fields->AAdditionalParams}', this, ".to_int($_REQUEST['admin_forms_id']).", 'load_data', " . to_int($admin_forms_fields->form_params['current_page']) . ", " . to_int($admin_forms_fields->form_params['on_page']) . " )";
$param['attributes']['type'] = 'submit';
$admin_forms_fields->AddButton($param);

// Отображение формы.
$admin_forms_fields->ShowForm();
?>